Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1735604 (CVE-2019-1010204) - CVE-2019-1010204 binutils: Improper Input Validation, Signed/Unsigned Comparison, Out-of-bounds Read in gold/fileread.cc and elfcpp/elfcpp_file.h leads to denial of service
Summary: CVE-2019-1010204 binutils: Improper Input Validation, Signed/Unsigned Compari...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-1010204
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1735605 1739250 1739251 1739252 1739254
Blocks: 1735607
TreeView+ depends on / blocked
 
Reported: 2019-08-01 06:49 UTC by Dhananjay Arunesh
Modified: 2021-02-16 21:34 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:33:33 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1797 0 None None None 2020-04-28 15:53:58 UTC

Description Dhananjay Arunesh 2019-08-01 06:49:54 UTC
A vulnerability was found in GNU binutils gold gold v1.11-v1.16 (GNU binutils v2.21-v2.31.1) is affected by: Improper Input Validation, Signed/Unsigned Comparison, Out-of-bounds Read. The impact is: Denial of service. The component is: gold/fileread.cc:497, elfcpp/elfcpp_file.h:644. The attack vector is: An ELF file with an invalid e_shoff header field must be opened.

Reference:
https://sourceware.org/bugzilla/show_bug.cgi?id=23765

Comment 1 Dhananjay Arunesh 2019-08-01 06:50:12 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1735605]

Comment 2 Marco Benatto 2019-08-08 20:52:01 UTC
Statement:

This issue affects the binutils package version as shipped with Red Hat Enterprise Linux 7 and 8. The security impact was classified as 'Low' by the Red Hat Product Security Team.
Red Hat Enterprise Linux 5 and 6 are not affected as ld.gold is not shipped with any of these version.
This flaw also affects the binutils versions shipped with Red Hat Developer Toolset 7 and 8.

Comment 7 Marco Benatto 2019-08-09 14:32:23 UTC
There's an issue with ld.gold which allow an attacker to cause DoS. During the ELF file read the function File:: do_read() doesn't proper validate the start offset for reading, this leads to invalid memory access when executing memcpy() causing the program termination due to Segmentation Fault.

Comment 8 errata-xmlrpc 2020-04-28 15:53:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1797 https://access.redhat.com/errata/RHSA-2020:1797

Comment 9 Product Security DevOps Team 2020-04-28 16:33:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-1010204


Note You need to log in before you can comment on or make changes to this bug.